if exists(select 1 from sysobjects where name='pr_wxsf_check_paycompoundmode')
  drop procedure pr_wxsf_check_paycompoundmode
go


create procedure pr_wxsf_check_paycompoundmode
as
begin
	if not exists (select 1 from sysobjects where xtype = 'P' and id=object_id('pr_wxsf_write_paycompoundmode'))
	begin
		select '0' as code,'线下暂不支持微订单组合支付方式' as message
		return
	end
	else
	begin
		if not exists (select 1 from t_bd_item_info where item_no = 'o2oyunfei')
			insert into t_bd_item_info(item_no,item_subno,item_name,item_subname,item_clsno,price,item_brand,main_supcust)
			values('o2oyunfei','o2oyunfei','o2o运费','o2o运费','LB',0,'PP','0')
		
		select '1' as code,'成功' as message
		return
	end
end
